
{*******************************************************}
{                                                       }
{       AnimatedMenus/2000                              }
{       Version 2.2 (build 657)                         }
{       Compiled 20.10.99 10:52                         }
{                                                       }
{       Copyright (c) 1997-99 AnimatedMenus.com         }
{       All rights reserved.                            }
{                                                       }
{*******************************************************}


unit am2000;

{

   This is Microsoft Office2000-styled menus component pack.

   *********************************************************************
     Website:  http://www.animatedmenus.com/
   *********************************************************************

   *********************************************************************
     Thanks to Victor Santos for participation in the development
     of this version.
   *********************************************************************
     Thanks to all users and betatesters.
     Thanks to everyone who helps in development of this component.
   *********************************************************************

}

{$BOOLEVAL OFF}
{$RANGECHECKS OFF}
{$TYPEDADDRESS OFF}
{$WRITEABLECONST ON}
{$DEFINE ANIMATEDMENUS220}
{$DEFINE ANIMATEDMENUS655}

{$I am2000.inc}

interface

uses
  am2000menubar, am2000mainmenu, am2000popupmenu;


type
  TMainMenu2000 = class(TCustomMainMenu2000)
  published
    property Items;
{$IFNDEF Delphi4OrHigher}
    property Images;
{$ENDIF}

  end;

  TMenuBar2000 = class(TCustomMenuBar2000)
  published
    property Options;
    property Menu;
    property Font;
    property Align;
    property ParentFont;
    property ShowHint;
    property ParentShowHint;
    property SystemFont;
    property PopupMenu;
    property Ctl3D;
    property StatusBar;
    property StatusBarIndex;
    property Transparent;
    property OnMenuCommand;
    property OnMenuClose;
    property OnCloseQuery;

{$IFDEF Delphi4OrHigher}
    property DragKind;
    property DragMode;
{$ENDIF}

  end;

  TPopupMenu2000 = class(TCustomPopupMenu2000)
  published
    property StatusBar;
    property StatusBarIndex;
    property ShowHint;
    property ParentShowHint;
    property Font;
    property ParentFont;
    property SystemFont;
    property Options;
    property Ctl3D;
{$IFNDEF Delphi4OrHigher}
    property Images;
{$ENDIF}

    property OnMenuCommand;
    property OnMenuClose;
    property OnCloseQuery;

  end;


implementation

{$R am2000.res}
{$R AutoBitmaps.res}

initialization
  Randomize;

end.


